/* h2{

 	color: yellow;
 	font-size: 20px;
 	background-color: black;
 }
*/
/*
	CSS Syntax:
		selector{
			property:value;
		}
*/
/*	(*) Universal Selector - allows us to select all of our elements.
	monospace is a fallbak font. In the event that the machine used to view your document does not have the declared font, we will fallback to similar font.
	font-family: changes the font style of text;
	font-size: changes the size of the text;

*/


*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

body{
	background-color: skyblue;

}

 h1{
 	color:black !important;
 	text-align: center;
 	font-size: 2rem;

 	 /*rem is a measurement which num * the default size of root elements font (16px) */
	 /*any declaration with !important will be given higheest priority. This is especially useful if you want to override a css style.


	However the implementation of the keyword is found in internal or inline css we will still follow the level of specificity:
	1. inline with important
	2. internal with important
	3. external with important
	 */
 }

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/*selector:hover pseudo class*/
/*change the style of the element when hovered over*/
a:hover{
	background-color: #b4d6de;
}
/*to change the display property form block to inline block. which means that this div is inline withs its siblings and yet occupy the remaining space like a block element.*/
/*float:right; we were able to change the horizontal alignment of our element to put it left or right of the container.*/
div{
	display: inline-block;
	float: right;
}
	/*vh means viewport height meaning this measurment takes the percentage of the overall height of the screen you are viewing with. 
	text-align - allows us to align our text horizontally.
	*/
section{
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}
/*id-selector it is given more priority than other selectors*/
#zuitt-motto{
	letter-spacing: 5px;
	
}
/*class selector for elements of the same class*/
.offering-item{
	text-transform: uppercase;
	color:green;
}

ol{
	list-style-type: none;

}

/*attribute selector allows us to select particular elements with the same attributes tagname[attribnutes]

border-width: allows us to determine the thickness of an element's border;
border-style: allows us to determine the style of an element's border;
border-color: allows us to determine the color of an element's border;
*/

input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
	/*we define the width of our input to be at least 90% of the width of the parent's width*/
}

/*Adjacent Sibling Selector*/
/*selector + selector*/
/*
	height and width properties will resize our element.
	border-radius rounds out the corners of an element. the higher the border-radius the rounder the edges.
*/
#zuitt-motto + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector allows us to select elements that are decendants of the first selector or ancestor*/
/*ancestor decendant*/
#bootcamp-learning-list li{
	color:#075966;
	/*color properties and other similar properties can also accept hex values. Hexadecimal values consists of # sign and the combination of a 6 alphanumeric character. This lets define a more particular color.*/
}

/*General Sibling Selector allows to select silbings that are after our previous element*/
/*sibling ~ selector sibling*/
/*h2 ~ a{
	text-decoration: none;
}
*/

a{
	text-decoration: none; 
}

/*Register Section*/

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width:25vw;
	/*vw - viewport width is a measurement that is based on a percentage of your screen.*/
	/*
	posiotion property changes the position of an element on a certain criteria. 

	relative: allows to move our element in relation to its original position in the HTML document.
	
	left property is used alongside the position to add a certain measurement to the left element.
	
	the value % is based on the measurement of the parent element. the parent element being the section tag which is a block element and occupies the full width of the page. in this value of the left property is 37.25 from 100 of its parent element's width.
	*/
	position:relative;
	left: 37.25%;
}

/*Child selector allows us to select a particular child of a parent*/
/*parent > child*/
section > form > label{
	color: rgb(0,0,128);
	/*the color properties and other properties that change color can also accept  and RGB value. RGB values refers to red,green,blue. This allows us to determine a particular by combining the values of red, green, and blue with a minimum of 0 and maximum of 255*/
}

button{
	color: white;
	background-color: #cf0053;
	border: none;
	border-radius:15px;
}